// packageH/Advertising/advertisingAdDetails/advertisingAdDetails.js
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    info: {},
    activeName: 0,
    dataList: [],
    titleArr: ["观看记录", "奖励记录", "分享记录"],
    isLoadMore: true
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.init();
    this.getData();
  },
  init() {
    this.data.titleArr.forEach((val, index) => {
      this.data.dataList.push({
        isLoadMore: true,
        page: 1,
        total_page: 0,
        list: []
      });
    });
    this.handleClick();
  },
  getData() {
    //广告表ID
    let that = this;
    let urlStr = app.getNetAddresss('plugin.ad-serving.frontend.advertisers.index.getOrderDetail');
    app._postNetWork({
      url: urlStr,
      data: {advertising_id: this.options.id},
      success: (resdata) => {
        let res = resdata.data;
        if (res.result == 1) {
          that.setData({
            info: res.data
          });
        } else {
          console.log(res);
        }
      },
      fail: function (res) {
        console.log(res.msg);
      }
    });
  },
  handleClick(e) {
    if(e&&e.detail){
      this.setData({
        activeName: e.detail.index
      });
    }
    let urlStr = app.getNetAddresss('plugin.ad-serving.frontend.advertisers.index.getOrderDetailLog');
    app._getNetWork({
      url: urlStr,
      data: {
        advertising_id: this.options.id,
        log_type: Number(this.data.activeName) + 1
      },
      success: (resdata) => {
        var res = resdata.data;
        if (res.result == 1) {
          this.setData({
            ['dataList[' + this.data.activeName + '].isLoadMore']: true,
            ['dataList[' + this.data.activeName + '].total_page']: res.data.last_page,
            ['dataList[' + this.data.activeName + '].list']: res.data.data
          });

        } else {
          wx.showToast({
            title: res.msg,
            icon: 'none',
            duration: 1000
          });
        }
      },
      fail: function (res) {
        console.log(res);
      }
    });
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if (this.data.dataList[this.data.activeName].isLoadMore) {
      this._getMoreData();
    } else {
      console.log('没有更多数据');
    }
  },
  _getMoreData() {
    let that = this;
    this.setData({
      ['dataList[' + that.data.activeName + '].isLoadMore']: false
    });
    if (this.data.dataList[this.data.activeName].page >= this.data.dataList[this.data.activeName].total_page) {
      return;
    } else {
      this.data.dataList[this.data.activeName].page = this.data.dataList[this.data.activeName].page + 1;
      let urlStr = app.getNetAddresss('plugin.ad-serving.frontend.advertisers.index.getOrderDetailLog');
      urlStr += "&page=" + this.data.dataList[this.data.activeName].page;

      app._getNetWork({
        url: urlStr,
        data: {
          advertising_id: this.options.id,
          log_type: Number(this.data.activeName) + 1
        },
        success: function (resdata) {
          var res = resdata.data;
          if (res.result == 1) {
            let myData = res.data;
            that.setData({
              ['dataList[' + that.data.activeName + '].isLoadMore']: true,
              ['dataList[' + that.data.activeName + '].list']: that.data.dataList[that.data.activeName].list.concat(myData.data)
            });
          } else {
            that.setData({
              ['dataList[' + that.data.activeName + '].isLoadMore']: false,
              ['dataList[' + that.data.activeName + '].page']: that.data.dataList[that.data.activeName].page - 1
            });
          }
        },
        fail: function (res) {
          console.log(res);
        }
      });
    }
  },
  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
});